package http_model

import "time"

type LocallifeDataRequest struct {
	LocallifeId string `json:"Locallife_id"`
}

type LocallifeDataResponse struct {
	RecruitDDl  time.Time      `json:"recruit_ddl"`
	Recruittime time.Time      `json:"recruit_time"`
	ApplyNum    int64          `json:"apply_num"`
	AgreeNum    int64          `json:"agree_num"`
	DraftFee    float64        `json:"draft_fee"`
	AvgFansNum  int            `json:"avg_fans_num"`
	FromType    float64        `json:"from_type"`
	ManRatio    float64        `json:"man_ratio"`
	FeeMap      map[int]int    `json:"fee_map"`
	FansMap     map[int64]int  `json:"fans_map"`
	DateStats   map[string]int `json:"date_stats"`
}

func NewLocallifeDataRequest() *LocallifeDataRequest {
	return new(LocallifeDataRequest)
}

func NewLocallifeDataResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(LocallifeDataResponse)
	return resp
}
